Bug 138337 - Drag-and-drop into gvim does not work
Drag-and-drop into gvim does not work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-08 08:02 EST by SZ BEAM
Modified: 2008-02-03 05:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-03 05:02:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description SZ BEAM 2004-11-08 08:02:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Dragging files and selected text from Konqueror or the Desktop into an
open gvim window does not work. Cursor stays as the circle/slash icon
and nothing happens on mouse button release. 

Drop+Drag between gvim and Konsole, gvim and Mozilla works as expected.


Version-Release number of selected component (if applicable):
kdebase-3.2.3-2.0.1.kde

How reproducible:
Always

Steps to Reproduce:
1. drag a file icon, image, link or any other draggable element from
KDE Desktop or Konqueror window into an open gvim window.
2. Release mouse button.


Actual Results:  Cursor indicates item cannot be dropped there.
Nothing happens.

Expected Results:  File should have opened up in gvim window, or
selected text or link should have been pasted into the editing window.


Additional info:
Comment 1 Ngo Than 2004-11-10 04:56:55 EST
sorry, it's not reproduceable in FC2 and latest FC3. Where do you get
the kdebase-3.2.3-2.0.1.kde? The official kdebase in fc2 is 3.2.2-6.FC2!

drag and drop works fine for me
Comment 2 SZ BEAM 2004-11-11 17:39:44 EST
drag and drop _into VIM_ works fine for you? This has been broken
since FC1, and I know others who have the same problem.

kdebase-3.2.3-2.0.1.kde came from http://kde-redhat.sf.net/ when I
tried to upgrade to fix this problem. Sorry, I forgot about that.

But this is also confirmed on FC3 as I just upgraded one system. The
versions of the packages on that are
kdebase-3.3.0-8
vim-X11-6.3.030-3
Comment 3 SZ BEAM 2004-11-11 17:41:20 EST
Please reopen this bug, its not fixed and it is confirmed.
Comment 4 Matthew Miller 2005-04-26 12:34:00 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 petrosyan 2008-02-03 05:02:23 EST
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA", however if you still
experience this problem after updating to our latest Fedora
release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.